import java.util.List;

public class Student extends Person
{
    // no static because variables don't make any sense without the created object
    private boolean paidFees;
    private List<Double> grades;
    // CourseOfStudy
    private BachelorSemester bachelorSemester;
    private BachelorDegree bachelorDegree;

    public Student(int id, String firstName, String lastName, String placeOfResidence, String birthPlace,
                   String officialEmail, String privateEmail, boolean isSignedUp, Gender gender, Status status,
                   boolean paidFess, List<Double> grades, BachelorSemester bachelorSemester, BachelorDegree bachelorDegree)
    {
        super(id, firstName, lastName, placeOfResidence, birthPlace,
                officialEmail, privateEmail, isSignedUp, gender, status);
        this.paidFees = paidFess;
        this.grades = grades;
        this.bachelorSemester = bachelorSemester;
        this.bachelorDegree = bachelorDegree;
    }

    public List<Double> GetGrades()
    {
        return grades;
    }
}