public class Course
{
    // most attributes are concrete and can't be changed easily without changing the whole system
    final private int id;   // PK // FK
    final private String name;
    final private BachelorSemester bachelorSemester;
    final private CourseType courseType;
    final private double sws;
    final private int ects;
    private ExamType examType;

    public Course(int id, String name, BachelorSemester bachelorSemester, CourseType courseType, double sws, int ects, ExamType examType)
    {
        this.id = id;
        this.name = name;
        this.bachelorSemester = bachelorSemester;
        this.courseType = courseType;
        this.sws = sws;
        this.ects = ects;
        this.examType = examType;
    }
}
